import django_tables2 as tables
from netbox.tables import NetBoxTable, ChoiceFieldColumn

from .models import AWX, AWXInventory


class AWXTable(NetBoxTable):
    name = tables.Column(linkify=True)

    class Meta(NetBoxTable.Meta):
        model = AWX
        fields = ("pk", "id", "name", "url", "actions")
        default_columns = ("name","url")


class AWXInventoryTable(NetBoxTable):
    name = tables.Column(linkify=True)

    class Meta(NetBoxTable.Meta):
        model = AWXInventory
        fields = ("pk", "id", "awx", "inventory_id", "enabled", "actions")
        default_columns = ("awx", "inventory_id", "enabled")
